Add mw.wikibase.entity:getStatements for convenience
Closed, ResolvedPublic

Description

Analogue to mw.wikibase.entity:getBestStatements there should be a mw.wikibase.entity:getStatements convenience function which returns all Statements (except for deprecated Statements, probably).

hoo created this task.May 22 2017, 1:31 PM
Restricted Application added subscribers: TerraCodes, Aklapper. · View Herald TranscriptMay 22 2017, 1:31 PM
Lydia_Pintscher closed this task as Invalid.Jun 11 2017, 5:31 PM
Lydia_Pintscher added a subscriber: Lydia_Pintscher.

Closing this for now until we have a user request.

hoo added a comment.Jun 18 2017, 10:14 AM

@Lydia_Pintscher This was requested during the Vienna Hackathon.

Lydia_Pintscher reopened this task as Open.Jun 18 2017, 11:09 AM

Ok. (Please mention that as we have too many tickets without an actual user request behind them.)

Change 383990 had a related patch set uploaded (by Eranroz; owner: Eranroz):
[mediawiki/extensions/Wikibase@master] getAllStatements and access to property by name

https://gerrit.wikimedia.org/r/383990

eranroz triaged this task as Low priority.Oct 14 2017, 7:45 AM
eranroz claimed this task.

For future reference/answer to the good question of Lydia above: (my) intention is to upstream some code from https://en.wikipedia.org/wiki/Module:Wikidata (used in many other wikis) to the library itself.
This would allow better code sharing and more maintained code and may prevent issues as T178114.

Framawiki moved this task from Backlog to Doing on the goodfirstbug board.Dec 2 2017, 1:30 PM

Change 403177 had a related patch set uploaded (by Thiemo Kreuz (WMDE); owner: Thiemo Kreuz (WMDE)):
[mediawiki/extensions/Wikibase@master] Streamline mw.wikibase.entity:getAllStatements

https://gerrit.wikimedia.org/r/403177

Change 383990 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] getAllStatements and access to property by name

https://gerrit.wikimedia.org/r/383990

hoo closed this task as Resolved.Jan 11 2018, 2:43 AM
hoo removed a project: Patch-For-Review.

Change 403177 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Streamline mw.wikibase.entity:getAllStatements

https://gerrit.wikimedia.org/r/403177

has the functionality here been added to an FAQ or help pages on Wikidata and/or Meta?

has the functionality here been added to an FAQ or help pages on Wikidata and/or Meta?

I just updated https://www.mediawiki.org/wiki/Extension:Wikibase_Client/Lua